Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.exception
Class ProtegeIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  edu.stanford.smi.protege.exception.ProtegeException
                      edu.stanford.smi.protege.exception.ProtegeIOException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ModificationException, TransactionException

    public class ProtegeIOException

extends ProtegeException

This exception represents errors accessing the backing store that are not related to problems with the ontology. These exceptions encapsulate file io exceptions, sql exceptions and remote exceptions.

Author:
  tredmond
See Also:
  Serialized Form

Constructor Summary
`ProtegeIOException()`
`ProtegeIOException(String msg)`
`ProtegeIOException(String msg, Throwable t)`
`ProtegeIOException(Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtegeIOException

    public ProtegeIOException()

### ProtegeIOException

    public ProtegeIOException(String msg)

### ProtegeIOException

    public ProtegeIOException(String msg,
                              Throwable t)

### ProtegeIOException

    public ProtegeIOException(Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.